Preview transformer
POST/accounts/{account_id}/logpush/transformers/preview
Executes a SQL transformer against a single input record and returns the transformed output. This is a stateless endpoint — nothing is persisted.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Preview transformer
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/logpush/transformers/preview \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"input": {
"ClientIP": "bar",
"ClientRequestHost": "bar",
"EdgeStartTimestamp": "bar",
"RayID": "bar"
},
"sql": "SELECT ClientIP, RayID FROM http_requests"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"ClientIP": "bar",
"RayID": "bar"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"ClientIP": "bar",
"RayID": "bar"
}
}